package com.cusc.nirvana.user.rnr.fp.dto;

import com.cusc.nirvana.user.rnr.fp.common.BaseAuthenticationReqDTO;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * Description: 查询卡数量
 * <br />
 * CreateDate 2022-02-23 17:00:59
 *
 * @author yuyi
 **/
@Data
public class CardNumReqDTO extends BaseAuthenticationReqDTO {

	/**
	 * 证件号码
	 */
	@NotBlank(message = "证件号码不能为空")
	private String cardNo;
}
