package com.cusc.nirvana.user.rnr.fp.dto;

import com.cusc.nirvana.user.rnr.fp.common.BaseAuthenticationRespDTO;
import lombok.Data;

/**
 * Description: 身份信息核查响应DTO
 * <br />
 * CreateDate 2022-02-24 17:17:38
 *
 * @author yuyi
 **/
@Data
public class CertCheckRespDTO extends BaseAuthenticationRespDTO {

    /**
     * 身份证姓名比对结果（0：一致，1：不一致）
     */
    private String certNameResult;

    /**
     * 身份证号码比对结果（0：一致，1：不一致）
     */
    private String certNumResult;

    /**
     * 证件照片（网纹照），JPEG照片编码， base64字符串编码，不进行压缩
     */
    private String certPhoto;

}
