package com.cusc.nirvana.user.rnr.fp.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 文件上传请求
 *
 * @author jiamj
 * @date 2021/11/3
 */
@Data
@ApiModel("文件上传Base64")
public class FileUploadBase64DTO implements Serializable {
    private static final long serialVersionUID = -267145861320352349L;
    @ApiModelProperty("上传的文件Base64")
    private String fileBase64;
    @ApiModelProperty("上传的文件名称")
    private String fileName;

}
