package com.cusc.nirvana.user.rnr.fp.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;
import java.util.List;

@Data
public class FpChangeTboxDTO implements Serializable {

    private static final long serialVersionUID = -5712879585098743410L;

    @ApiModelProperty(value = "车辆VIN号")
    @NotEmpty(message = "vin不能为空")
    private String vin;

    @ApiModelProperty(value = "ICCID编码集合")
    private List<FpIccidChangeDTO> iccidList;

}
