package com.cusc.nirvana.user.rnr.fp.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

@Data
@Accessors(chain = true)
public class FpVehicleCardRnrDTO implements Serializable {

    private static final long serialVersionUID = -5712879585098743410L;

    @ApiModelProperty(value = "车辆VIN号")
    private String vin;

    @ApiModelProperty(value = "实名id")
    private String rnrId;

    @ApiModelProperty(value = "ICCID编码集合")
    private List<String> iccidList;

}