package com.cusc.nirvana.user.rnr.fp.dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.Date;

@Data
public class H5ValidationOCRReqDTO {

    /**
     * 租户编号
     */
    private String tenantNo;

    /**
     * 业务id
     */
    private String bizUuid;

    /**
     * 流水号
     */
    private String serialNumber;

    /**
     * 人的id
     */
    private String personId;

    /**
     * 是否是身份证
     */
    private Boolean isIdentityCard;

    /**
     * 人脸照base64
     */
    private String facePicBase64;

    /**
     * 国徽照 base64
     */
    private String nationalEmblemPicBase64;

    /**
     * 证件号码
     */

    private String certNumber;

    /**
     * 证件姓名
     */
    private String fullName;

    /**
     * 证件失效时期(String)
     */
    private String expiredDateStr;
    /**
     * 证件失效时期
     */
    private Date expiredDate;

    /**
     * 性别
     */
    private Integer gender;
}
