package com.cusc.nirvana.user.rnr.fp.dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author stayAnd
 * @date 2022/4/18
 */
@Data
public class LivenessCodeRequestDTO {
	/**
	 * 业务id
	 */
	private String bizUuid;

	/**
	 * 租户编号
	 */
	private String tenantNo;

	/**
	 * 流水号
	 */
	@NotBlank(message = "流水号不能为空")
	private String serialNumber;

}
