package com.cusc.nirvana.user.rnr.fp.dto;

import lombok.Data;

import java.util.Date;

/**
 * @author stayAnd
 * @date 2022/8/2
 */
@Data
public class RnrOrderListResponseDTO {

	/**
	 * 工单id
	 */
	private String orderId;

	/**
	 * 工单状态
	 */
	private Integer orderStatus;

	/**
	 * vin
	 */
	private String vin;

	/**
	 * iccid
	 */
	private String iccid;


	/**
	 * 租户号
	 */
	private String tenantNo;

	/**
	 * 租户名称
	 */
	private String tenantName;

	/**
	 * 企业名称
	 */
	private String companyName;

	/**
	 * 车主/责任人姓名
	 */
	private String fullName;

	/**
	 * 车主/责任人手机号
	 */
	private String phone;

	/**
	 *  车主/责任人证件号
	 */
	private String certNumber;

	/**
	 * 认证日期
	 */
	private Date createTime;

	/**
	 * 业务类型
	 */
	private Integer orderType;

	/**
	 * 操作人
	 */
	private String operator;

	/**
	 * 操作人姓名
	 */
	private String operatorName;

	/**
	 * 审核时间
	 */
	private Date auditTime;
}
