package com.cusc.nirvana.user.rnr.fp.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * Description: 短信发送响应
 * <br />
 * CreateDate 2021-11-02 19:33:22
 *
 * @author yuyi
 **/
@ApiModel(value = "短信发送响应", description = "短信发送响应")
@Data
public class SmsResponseDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("短信发送的id")
    private String messageId;

    /**
     * 验证码
     */
    private String captcha;
}
