package com.cusc.nirvana.user.rnr.fp.dto;

import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.util.List;

@Accessors(chain = true)
@Data
public class VinCardInfoDTO {

	@NotBlank(message = "VIN不能为空")
	private String vin;

	@NotEmpty(message = "ICCID不能为空")
	private List<String> iccidList;
}
