package com.cusc.nirvana.user.rnr.fp.common.po;


import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 指令PO基类
 */
@Data
public class BaseInstructionPO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 业务主键
     */
    @TableField("uuid")
    private String uuid;

    /**
     * 指令标识
     */
    @TableField("request_id")
    private String requestId;

    /**
     * 车联网卡ICCID
     */
    @TableField("iccid")
    private String iccid;

    /**
     * 创建时间
     */
    @TableField(value = "create_time", insertStrategy = FieldStrategy.NEVER, updateStrategy = FieldStrategy.NEVER)
    private Date createTime;

}
