package com.cusc.nirvana.user.rnr.fp.controller;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.fp.service.EnterpriseUnBindService;
import com.cusc.nirvana.user.rnr.mg.dto.RnrRelationDTO;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @className: EnterpriseUnBindController
 * @description: 企业解绑
 * @author: jk
 * @date: 2022/6/17 14:42
 * @version: 1.0
 **/
@RestController
@RequestMapping("/enterpris")
public class EnterpriseUnBindController {

    @Resource
    private EnterpriseUnBindService enterpriseUnBindService;

    @PostMapping("/unBind")
    public Response enterpriseUnBind(@RequestBody RnrRelationDTO dto){
        return enterpriseUnBindService.enterpriseUnBind(dto);
    }
}
