package com.cusc.nirvana.user.rnr.fp.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cusc.nirvana.user.rnr.fp.dao.entity.FpT1UploadStatusPO;
import com.cusc.nirvana.user.rnr.fp.dto.FpT1UploadStatusDTO;

/**
 * T1上报状态(FpT1UploadStatus)表数据库访问层
 *
 * @author yuy336
 * @since 2022-07-06 14:12:22
 */
public interface FpT1UploadStatusDao extends BaseMapper<FpT1UploadStatusPO> {

    Integer clearDataByIccid(FpT1UploadStatusDTO bean);

    /**
     * 通过iccid清理开流数据
     *
     * @param bean
     * @return 实例对象
     */
    Integer clearFlowDataByIccid(FpT1UploadStatusDTO bean);
}

