package com.cusc.nirvana.user.rnr.fp.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.*;


/**
 * Description: 企业信息
 * <br />
 * CreateDate 2022-07-28 16:26:36
 *
 * @author yuyi
 **/
@Data
@ApiModel("企业信息")
public class FlowEnterpriseInfoDTO implements Serializable {

    private static final long serialVersionUID = -267145861320351989L;

    @ApiModelProperty("企业名称")
    private String name;

    @ApiModelProperty("企业地址")
    private String address;

    @ApiModelProperty("企业证件(如营业执照号、统一社会信用代码)")
    private String licenseCode;

    @ApiModelProperty("企业类型编码：0 非公司企业法人 1有限责任公司 2股份有限责任公司 3个体工商户 4私营独资企业 5私营合伙企业")
    private String comType;
}
