package com.cusc.nirvana.user.rnr.fp.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.*;


/**
 * Description: 切流扩展属性信息
 * <br />
 * CreateDate 2022-07-28 16:26:36
 *
 * @author yuyi
 **/
@Data
@ApiModel("切流扩展属性信息")
public class FlowExtsDTO implements Serializable {

    private static final long serialVersionUID = -267145861320351989L;

    @ApiModelProperty("自然人信息")
    private FlowPersonalInfoDTO personalInfo;

    @ApiModelProperty("企业信息")
    private FlowEnterpriseInfoDTO enterpriseInfo;

    @ApiModelProperty("品牌ID")
    private String brandId;

    @ApiModelProperty("用户ID")
    private String abilityUserId;
}
