package com.cusc.nirvana.user.rnr.fp.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.*;


/**
 * Description: 切流车辆信息
 * <br />
 * CreateDate 2022-07-28 16:26:36
 *
 * @author yuyi
 **/
@Data
@ApiModel("切流车辆信息")
public class FlowVehicleInfoDTO implements Serializable {

    private static final long serialVersionUID = -267145861320351989L;

    @ApiModelProperty("品牌")
    private String vehicleBrand;

    @ApiModelProperty("车型")
    private String vehicleMode;

    @ApiModelProperty("车系")
    private String vehicleSerial;

    @ApiModelProperty("卡位置：1：车机、0：tBox")
    private Integer simPosition;
}
