package com.cusc.nirvana.user.rnr.fp.dto;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.*;

/**
 * Description: T1开户信息上报请求dto
 * <br />
 * CreateDate 2022-03-11 15:42:31
 *
 * @author yuyi
 **/
@ApiModel(value = "T1开户信息上报请求dto", description = "T1开户信息上报请求dto")
@Data
public class T1FileReqDTO implements Serializable {

    private static final long serialVersionUID = -36413222636238414L;

    @ApiModelProperty(value = "请求标识")
    @JSONField(name = "RequestID")
    private String RequestID;

    @ApiModelProperty(value = "道路机动车辆生产企业编码")
    @JSONField(name = "Code")
    private String Code;

    @ApiModelProperty(value = "图片文件加密信息")
    @JSONField(name = "EncryptFile")
    private File EncryptFile;

    @ApiModelProperty(value = "卡所属运营商")
    @JSONField(name = "ServiceProvider")
    private String ServiceProvider = "3000";

    @ApiModelProperty(value = "车企标识")
    @JSONField(name = "PlatformID")
    private String PlatformID;
}

