package com.cusc.nirvana.user.rnr.fp.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Map;

/**
 * @className: EncryptionKeyDATO
 * @description: 密钥
 * @author: jk
 * @date: 2022/7/19 14:32
 * @version: 1.0
 **/
@Data
public class EncryptionKeyDTO {

    /**
     * 车辆信息key
     */
    private String carInfoKey;
    /**
     * T1开户信息加密密钥
     */
    private String t1UserInfoKey;
    /**
     * T1指令加密密钥
     */
    private String t1InstructionKey;
    /**
     * 公司编码，用于T1接口上传
     */
    private String companyCode;

    /**
     * 电信文本加密
     */
    private String t1UserInfoKeyCTcc;

    @ApiModelProperty(value = "移动平台标识")
    private String platFormId;

    @ApiModelProperty(value = "移动密钥")
    private String cmccApiKey;

    @ApiModelProperty(value = "移动图片和文本加密秘钥")
    private String cmccTextOrPictureKey;

}
