package com.cusc.nirvana.user.rnr.fp.dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author stayAnd
 * @date 2022/4/24
 */
@Data
public class EnterpriseRnrPersonNameReqDTO {

	/**
	 * 企业名称
	 */
	@NotBlank(message = "企业名称不能为空")
	private String companyName;

	/**
	 * 租户号
	 */
	@NotBlank(message = "租户号不能为空")
	private String tenantNo;

	/**
	 * 是否车企实名
	 */
	@NotNull(message = "是否车企实名不能为空")
	private Boolean  vehicleCompany;
}
