package com.cusc.nirvana.user.rnr.fp.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Map;

/**
 * ICCID更换DTO
 */
@Data
public class FpDirectTboxChangeDTO implements Serializable {

    @ApiModelProperty(value = "新老iccid对应关系key-newiccid,value-oldIccid")
    private Map<String, String> newOldIccidRelMap;


    @ApiModelProperty("租户编号")
    private String tenantNo;

    @ApiModelProperty("vin")
    private String vin;

    @ApiModelProperty("实名id")
    private String rnrId;

    @ApiModelProperty("orderUuid")
    private String orderUuid;

    @ApiModelProperty("最后一次操作人")
    private String operator;

    @ApiModelProperty("分表路由键")
    private Long routingKey;


}
