package com.cusc.nirvana.user.rnr.fp.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 实名关联信息(FpRnrRelationInfo)传输对象类
 *
 * @author yuy336
 * @since 2022-04-14 20:42:46
 */
@ApiModel(value = "实名关联信息", description = "实名关联信息")
@Data
public class FpRnrRelationInfoDTO {

    private static final long serialVersionUID = -44480337374226645L;
    
    @ApiModelProperty(value = "业务主键")
    private String uuid;
    
    @ApiModelProperty(value = "实名id")
    private String rnrId;
    
    @ApiModelProperty(value = "项目编号")
    private String projectNo;
    
    @ApiModelProperty(value = "组织id")
    private String orgId;
    
    @ApiModelProperty(value = "终端用户id（ciam_user）")
    private String userId;
    
    @ApiModelProperty(value = "最后一次操作人")
    private String operator;
}

