package com.cusc.nirvana.user.rnr.fp.dto;

import lombok.Data;

/**
 * Description: 活体数字验证码请求DTO
 * <br />
 *
 * @author yuy336
 **/
@Data
public class LiveLoginReqDTO {
    /**
     * 当前使用用户的唯一标识，需合作伙伴自行定义
     * 注意：合作伙伴必须保证 user_id 的全局唯一性，不要带有特殊字符
     */
    private String userId;
    /**
     * 工单编号
     */
    private String orderNo;
    /**
     * 回调url
     */
    private String callBackUrl;

}
