package com.cusc.nirvana.user.rnr.fp.dto;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @author stayAnd
 * @date 2022/4/18
 */
@Data
@Accessors(chain = true)
public class LivenessCodeResponseDTO {

    /**
     * 数字验证码，如：1234
     */
    private String livenessCode;
    /**
     * 活体类型
     */
    private String livenessType;

    /**
     * 返回的唯一标识
     */
    private String requestId;

    /**
     * 动作顺序
     */
    private String actionSeq;
}
