package com.cusc.nirvana.user.rnr.fp.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author stayAnd
 * @date 2022/4/13
 */
@Data
public class SmsRequestDTO {

	/**
	 * 业务类型：实名短信、一车多卡绑定、卡解绑等
	 */
	private String bizType;

	/**
	 * 租户号
	 */
	@ApiModelProperty(value = "租户号")
	private String tenantNo;

	/**
	 * 手机号
	 */
	@ApiModelProperty(value = "手机号")
	private String phone;

	/**
	 * 消息ID
	 */
	private String messageId;

	/**
	 * 验证码
	 */
	private String captcha;

	/**
	 * 短信参数
	 */
	private List<String> params;
}
