package com.cusc.nirvana.user.rnr.fp.dto;

import lombok.Data;

import java.util.List;

/**
 * @author stayAnd
 * @date 2022/5/17
 */
@Data
public class VinCardCheckMessageRequestDTO {

	/**
	 * 业务类型
	 * 1：自然人实名-新车主
	 * 2: 自然人实名-二手车新车主
	 * 3:企业实名
	 * 4:车企实名
	 * 5:一车多卡绑定
	 * 6:卡解绑-原车主解绑
	 * 7：卡解绑-二手车解绑
	 * 8：换件
	 * 9：车企实名解绑
	 */
	private Integer businessType;

	/**
	 * vin
	 */
	private String vin;

	/**
	 * 绑定的iccidList
	 */
	private List<String> bindIccidList;

	/**
	 * 实名业务id
	 */
	private String rnrId;

	/**
	 * 文件id
	 */
	private String fileId;


	/**
	 * 解绑的iccidList
	 */
	private List<String> unBindIccidList;

}
