package com.cusc.nirvana.user.rnr.fp.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * @author: jk
 * @since: 2023/12/1 14:46
 * @description:
 */
@Configuration
@Data
public class T1Config {
    @Value("${T1.url:}")
    private String dateUrl;

    @Value("${T1.cmccUrl:}")
    private String cmccUrl;

    @Value("${T1.ctccUrl:}")
    private String ctccUrl;

    @Value("${T1.fileUrl:}")
    private String fileUrl;

    @Value("${T1.version:1.0.0}")
    private String VERSION;

    @Value("${T1.appId:}")
    private String APPID;

    @Value("${T1.appSecret:}")
    private String APPSCRET;
}
