package com.cusc.nirvana.user.rnr.fp.controller;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.fp.service.ICuFlowService;
import com.cusc.nirvana.user.rnr.mg.dto.MgCardNoticeDTO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * Description: 联通切流控制层
 * <br />
 * CreateDate 2022-07-27 20:34:21
 *
 * @author yuyi
 **/
@RestController
@RequestMapping("/cu/flow")
@Slf4j
public class CuFlowController {

    @Autowired
    private ICuFlowService cuFlowService;

    /**
     * Description: 实名事件
     * <br />
     * CreateDate 2022-07-27 20:35:00
     *
     * @author yuyi
     **/
    @PostMapping("/switchNetwork")
    public Response switchNetwork(@RequestBody MgCardNoticeDTO bean) {
        return cuFlowService.switchNetwork(bean);
    }
}
