package com.cusc.nirvana.user.rnr.fp.controller;


import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.fp.service.IFpSearchCardAuthService;
import com.cusc.nirvana.user.rnr.mg.dto.MgCheckProgressDTO;
import com.cusc.nirvana.user.rnr.mg.dto.MgRnrCardInfoDTO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 *
 * 审核进度查询
 *
 * @modify hxin
 */
@RestController
@RequestMapping("/fpSearchCardAuth")
public class FpSearchCardAuthController {

    @Autowired
    private IFpSearchCardAuthService fpSearchCardAuthService;

    @PostMapping("/car-auth1")
    public Response searchAuth1(@RequestBody MgRnrCardInfoDTO dto){
        return fpSearchCardAuthService.getMgSearchCardAuthDTO(dto);
    }

    @PostMapping("/getCheckProgress")
    public Response getCheckProgress(@RequestBody MgCheckProgressDTO dto){
        return fpSearchCardAuthService.getMgCheckProgress(dto);
    }
}
