package com.cusc.nirvana.user.rnr.fp.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cusc.nirvana.user.rnr.fp.dao.entity.FpCarInfoPO;
import org.springframework.data.repository.query.Param;

import java.util.List;

/**
 * 车辆信息表(FpCarInfo)表数据库访问层
 *
 * @author yuy336
 * @since 2022-06-28 19:46:22
 */
public interface FpCarInfoDao extends BaseMapper<FpCarInfoPO> {

    int batchSaveOrUpdate(@Param("list") List<FpCarInfoPO> pos);
}

