package com.cusc.nirvana.user.rnr.fp.dao.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cusc.nirvana.user.rnr.fp.common.BaseRnrPO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * (FpRnrProtocolManage)实体类
 *
 * @author yuy336
 * @since 2022-06-01 10:52:45
 */
@TableName("fp_rnr_protocol_manage")
@Data
public class FpRnrProtocolManagePO extends BaseRnrPO {

    private static final long serialVersionUID = -58467637431067125L;
    
    /**
     * 业务主键
     */    
    @TableField("uuid")
    private String uuid;
    
    /**
     * 组织id
     */    
    @TableField("org_id")
    private String orgId;
    
    /**
     * 个人入网协议word
     */    
    @TableField("people_agreement_word")
    private String peopleAgreementWord;
    
    /**
     * 个人入网协议横版
     */    
    @TableField("people_agreement_horizontal")
    private String peopleAgreementHorizontal;
    
    /**
     * 个人入网协议竖版
     */    
    @TableField("people_agreement_vertical")
    private String peopleAgreementVertical;
    
    /**
     * 公司入网协议word
     */    
    @TableField("company_agreement_word")
    private String companyAgreementWord;
    
    /**
     * 公司入网协议横板
     */    
    @TableField("company_agreement_horizontal")
    private String companyAgreementHorizontal;
    
    /**
     * 公司入网协议竖版
     */    
    @TableField("company_agreement_vertical")
    private String companyAgreementVertical;
    
    /**
     * 实名制责任告知书word
     */    
    @TableField("realname_notice_word")
    private String realnameNoticeWord;
    
    /**
     * 实名制责任告知书横板
     */    
    @TableField("realname_notice_horizontal")
    private String realnameNoticeHorizontal;
    
    /**
     * 实名制责任告知书竖版
     */    
    @TableField("realname_notice_vertical")
    private String realnameNoticeVertical;
    
    /**
     * 企业授权书word
     */    
    @TableField("company_authorize_word")
    private String companyAuthorizeWord;
    
    /**
     * 企业授权书横板
     */    
    @TableField("company_authorize_horizontal")
    private String companyAuthorizeHorizontal;
    
    /**
     * 企业授权书竖版
     */    
    @TableField("company_authorize_vertical")
    private String companyAuthorizeVertical;
    
    /**
     * 其它word
     */    
    @TableField("other_word")
    private String otherWord;
    
    /**
     * 其它横板
     */    
    @TableField("other_horizontal")
    private String otherHorizontal;
    
    /**
     * 其它竖版
     */    
    @TableField("other_vertical")
    private String otherVertical;
    
    /**
     * 租户编号
     */    
    @TableField("tenant_no")
    private String tenantNo;
    
    /**
     * 最后一次操作人
     */    
    @TableField("operator")
    private String operator;

    @TableField("logoPc")
    private String logoPc;

    @TableField("logoH5")
    private String logoH5;
}

