package com.cusc.nirvana.user.rnr.fp.dao.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cusc.nirvana.user.rnr.fp.common.po.BaseInstructionPO;
import lombok.Data;

/**
 * 指令上传日志表
 */
@TableName("fp_rnr_t1_instruction_log")
@Data
public class InstructionLogPO extends BaseInstructionPO {

    /**
     * 上传类型
     * 1 开户信息上传
     * 2 车辆信息上传
     * 3 图片文件上传
     */
    @TableField("upload_type")
    private Integer uploadType;


    /**
     * 状态
     * 0 上传中
     * 1 成功
     * 2 失败
     */
    @TableField("status")
    private Integer status;
}
