package com.cusc.nirvana.user.rnr.fp.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @className: CardNumberCmccCheckDTO
 * @description: 移动一证十卡 dto
 * @author: JK
 * @date: 2022/8/4 13:46
 * @version: 1.0
 **/
@Data
public class CardNumberCmccCheckDTO implements Serializable {

    private static final long serialVersionUID = -36413222636238414L;

    @ApiModelProperty(value = "认证信息")
    private T1AuthDTO Auth;

    @ApiModelProperty(value = "请求标识")
    private String RequestID;

    @ApiModelProperty(value = "道路机动车辆生产企业编码")
    private String Code;

    @ApiModelProperty(value = "个人用户信息")
    private CustomerInfoDTO CustomerInfo;

}
