package com.cusc.nirvana.user.rnr.fp.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.*;


/**
 * Description: 切流实名信息
 * <br />
 * CreateDate 2022-07-28 16:26:36
 *
 * @author yuyi
 **/
@Data
@ApiModel("切流实名信息")
public class FlowRnrInfoDTO implements Serializable {

    private static final long serialVersionUID = -267145861320351989L;

    @ApiModelProperty("实名的vin码")
    private String vin;

    @ApiModelProperty("实名的iccid号码")
    private String iccid;

    @ApiModelProperty("实名的车辆信息")
    private FlowVehicleInfoDTO vehicleInfo;
}
