package com.cusc.nirvana.user.rnr.fp.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.*;
import java.util.List;


/**
 * Description: 实名事件请求
 * <br />
 * CreateDate 2022-07-28 16:26:36
 *
 * @author yuyi
 **/
@Data
@ApiModel("实名事件请求")
public class FlowRnrRequestDTO implements Serializable {

    private static final long serialVersionUID = -267145861320351989L;

    @ApiModelProperty("实名信息集合")
    private List<FlowRnrInfoDTO> rnrInfos;

    @ApiModelProperty("业务类型:1：个人实名业务；2：企业实名业务；3：二手车实名业务；4:车企实名业务;")
    private Integer bizType;

    @ApiModelProperty("扩展属性")
    private FlowExtsDTO exts;
}
