package com.cusc.nirvana.user.rnr.fp.service;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.mg.dto.MgCardNoticeDTO;

/**
 * Description: 联通切流service
 * <br />
 * CreateDate 2022-07-28 11:05:27
 *
 * @author yuyi
 **/
public interface ICuFlowService {

    /**
     * Description: 切流事件
     * <br />
     * CreateDate 2022-07-27 20:35:00
     *
     * @author yuyi
     **/
    Response switchNetwork(MgCardNoticeDTO bean);

    /**
     * Description: 实名事件
     * <br />
     * CreateDate 2022-07-27 20:35:00
     *
     * @author yuyi
     **/
    Response rnr(MgCardNoticeDTO bean);

    /**
     * Description: 解绑事件
     * <br />
     * CreateDate 2022-07-27 20:35:00
     *
     * @author yuyi
     **/
    Response dernr(MgCardNoticeDTO bean);

    /**
     * Description: 换件事件
     * <br />
     * CreateDate 2022-07-27 20:35:00
     *
     * @author yuyi
     **/
    Response swapDevice(MgCardNoticeDTO bean);

}
