package com.cusc.nirvana.user.rnr.fp.service;


import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.eiam.dto.OrganizationDTO;

/**
 * Description: 组织操作service
 * <br />
 * CreateDate 2022-07-06 19:32:37
 *
 * @author yuyi
 **/
public interface IOrganService {

    /**
     * Description: 根据组织id获取上一级的车企组织id
     * <br />
     * CreateDate 2022-05-27 18:59:35
     *
     * @author yuyi
     **/
    Response<OrganizationDTO> getCarSubOrganByOrgId(OrganizationDTO bean);

    /**
     * Description: 根据组织查询编码获取上一级的车企组织id
     * <br />
     * CreateDate 2022-05-27 18:59:35
     *
     * @author yuyi
     **/
    Response<OrganizationDTO> getCarSubOrganByQueryCodePrivate(OrganizationDTO bean);
}
