package com.cusc.nirvana.user.rnr.fp.service;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.fp.dto.VehicleUnboundVerifyRequestDTO;
import com.cusc.nirvana.user.rnr.fp.dto.VerifyVinCardResponseDTO;
import com.cusc.nirvana.user.rnr.mg.dto.VehicleUnbindDTO;

/**
 * @author yubo
 * @since 2022-04-24 17:09
 */
public interface IVehicleRnrUnBoundService {


    /**
     * 校验绑定车卡关系
     *
     * @param responseDTO
     * @return
     */
    Response<VerifyVinCardResponseDTO> verifyUnboundVinCardBatch(VehicleUnboundVerifyRequestDTO responseDTO);

    /**
     * 车企批量解绑
     *
     * @param rnrIds
     * @return
     */
    Response batchUnbound(VehicleUnbindDTO rnrIds);
}
